Archiwum kategorii: HP Blade

Upgrade Service Packa do HP Blade G6

Po trzech latach intensywnego użytkowania firma przypomniała sobie, że warto by zrobić w końcu upgrade firmware’u na serwerach HP Blade, które miała na swoim stanie. Sprawa stała się tym bardziej aktualna, że zabudżetowano również upgrade VMware zainstalowany na tych serwerach. Cały proces nie jest skomplikowany, w dodatku można go wykonać na kilka różnych sposobów. Ja wybrałem taki, który wydawał mi się najszybszy/najwygodniejszy, czyli:

1. Ściągnięcie wszystkich poprawek do serwera, skumulowanych w jeden plik Service Pack (format ISO).
2. Podłączenie się przez iLO do serwera i podpięcie obrazu ISO umieszczonego na zasobie sieciowym jako bootowalnej płyty (iLO umożliwia takie bajery – super funkcja!).

Brzmi wręcz banalnie, ale okazało się, że wgranie od razu najnowszego Service Packa niekoniecznie okazało się najlepszym rozwiązaniem. Po upgrade, gdy chciałem połączyć się przez iLo, moim oczom ukazało się poniższe okienko,:

ilo-blad

Autologin failed: Syntax error: Line #0: syntax error near „?> in the line: „”

Próba połączenia bezpośrednio z iLo (bez udziału Onboard Administratora) skutkowała tym samym.

Rozwiązanie: Okej, iLO nie działa, to monitor pod rękę i idziemy do serwerowni. Tam, podpiąwszy się bezpośrednio pod serwer zobaczyłem lakoniczny napis:

plymouthd: Could not start boot splash, no such file or directory

Czyżby jakiś sterownik jednak nie był przeznaczony do tego serwera?  A może coś poszło nie tak? Nic to, trzeba wykonać najstarszą znaną metodę naprawiania sprzętu elektronicznego – wyłącz i włącz. Oczywiście podziałało. A ludzie się z tego śmieją, że informatyk tak mówi, gdy nie wie co trzeba zrobić i chce żeby user dał mu po prostu spokój. Otóż nie. Mówimy tak, bo to naprawdę działa.

Okej, uznałem, że skoro najnowszy Service Pack nie działa, to spróbuję innego – starszego – może trzeba to robić jakoś stopniowo. Tym razem wgrałem wersję z 2013.02: HP_Service_Pack_for_Proliant_2013.02.0-0_725490-001_spp_2013.02.0-SPP2013020B.2013_0628.2.iso

A dopiero po nim najnowszy, z 2014.02, upewniwszy się oczywiście najpierw, że ten pierwszy nie rozsypał serwera: HP_Service_Pack_for_Proliant_2014.02.0-0_761723-001_spp_2014.02.0-SPP2014020.2014_0128.5.iso

I wszystko zaczęło automagicznie działać. Rzecz, której się z tego nauczyłem? Nigdy nie ufaj wsparciu HP (ani żadnego innego vendora, na dobrą sprawę), tylko czytaj dokumentację. Jeśli przy wyborze serwera przekierowuje Cię do konkretnego Service Packa to nie jest to przypadek, tylko celowe działanie. To, czy później uda się Tobie wgrać jeszcze nowszego, to już tylko na plus.